## Bsoft program

# bpatch

### Usage: bpatch [options] input.images/input.star

Patches a list of tiles together with overlap.
Requires a text file generated by btile that specifies the size and order of the tiles. Any number of input images may be given and may include the wild card "*". All images must have the same data type.

### Parameters:

-verbose 3 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin of the output image (default 0,0,0).
-rescale 127,27.5 | Rescale all input data to average and standard deviation.
-truncate -5,5.5 | Truncate data to minimum and maximum after rescaling.

### Input:

-tiles text.tiles | Text file with overall size and tile origins.

### Output:

-output output.img | Output image (default patch.pif).
-parameters file.star | Output micrograph parameter file.

Bsoft version 2.0.3-20180917 (64 bit)